package com.starry.admin.modules.withdraw.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 收益类型
 */
public enum EarningsType {
    ORDER("ORDER"),
    COMMISSION("COMMISSION"),
    ADJUSTMENT("ADJUSTMENT");

    @EnumValue
    @JsonValue
    private final String value;

    EarningsType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
